using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace RadGridView_WPF_AR_1
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{

		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{

		}
	}

	public class AStyleSelector : StyleSelector
	{
		public Style Style1 { get; set; }
		public Style Style2 { get; set; }

		private static int counter = int.MinValue;

		public override Style SelectStyle(object item, DependencyObject container)
		{
			return (counter++ % 2) == 0 ? Style1 : Style2;
		}
	}
}
